<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$settings = $this->get_settings_for_display();
$attr     = '';

if ( apply_filters( 'gigneo_is_map_enabled', false ) ) {
	$hide_map = ! empty( $settings['hide_map'] ) ? $settings['hide_map'] : 'no';
	$attr    .= " hide_map='$hide_map'";
}

if ( ! empty( $settings['per_page'] ) ) {
	$show_per_page = $settings['per_page'];
	$attr         .= " per_page='$show_per_page'";
}
?>
<div class="gn-ele-freelancer-archive-wrapper">
	<?php echo do_shortcode( "[gigneo_freelancers $attr]" ); ?>
</div>
